Update Legal Entity
curl --request PUT \
--url https://dataapi.dncscrub.com/v1.5/legalentity/Update \
--header 'Content-Type: <content-type>' \
--header 'loginId: <loginid>' \
--data '
{
"LegalEntityId": 123,
"LegalName": "<string>",
"IsDefault": true,
"EIN": "<string>",
"StreetAddress": "<string>",
"City": "<string>",
"State": "<string>",
"Zip": "<string>",
"CountryCode": "<string>",
"IndustryId": "<string>",
"PrimaryPhoneNumber": "<string>",
"PrimaryContactName": "<string>",
"PrimaryContactEmail": "<string>",
"PrimaryContactPhoneNumber": "<string>",
"EmployeeCount": 123,
"CallsPerMonth": 123,
"DunsNumber": "<string>",
"Url": "<string>",
"Dba": "<string>",
"LicenceNumber": "<string>",
"CallPurposeDescription": "<string>",
"PotentialNegativeReaction": "<string>"
}
'import requests
url = "https://dataapi.dncscrub.com/v1.5/legalentity/Update"
payload = {
"LegalEntityId": 123,
"LegalName": "<string>",
"IsDefault": True,
"EIN": "<string>",
"StreetAddress": "<string>",
"City": "<string>",
"State": "<string>",
"Zip": "<string>",
"CountryCode": "<string>",
"IndustryId": "<string>",
"PrimaryPhoneNumber": "<string>",
"PrimaryContactName": "<string>",
"PrimaryContactEmail": "<string>",
"PrimaryContactPhoneNumber": "<string>",
"EmployeeCount": 123,
"CallsPerMonth": 123,
"DunsNumber": "<string>",
"Url": "<string>",
"Dba": "<string>",
"LicenceNumber": "<string>",
"CallPurposeDescription": "<string>",
"PotentialNegativeReaction": "<string>"
}
headers = {
"loginId": "<loginid>",
"Content-Type": "<content-type>"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {loginId: '<loginid>', 'Content-Type': '<content-type>'},
body: JSON.stringify({
LegalEntityId: 123,
LegalName: '<string>',
IsDefault: true,
EIN: '<string>',
StreetAddress: '<string>',
City: '<string>',
State: '<string>',
Zip: '<string>',
CountryCode: '<string>',
IndustryId: '<string>',
PrimaryPhoneNumber: '<string>',
PrimaryContactName: '<string>',
PrimaryContactEmail: '<string>',
PrimaryContactPhoneNumber: '<string>',
EmployeeCount: 123,
CallsPerMonth: 123,
DunsNumber: '<string>',
Url: '<string>',
Dba: '<string>',
LicenceNumber: '<string>',
CallPurposeDescription: '<string>',
PotentialNegativeReaction: '<string>'
})
};
fetch('https://dataapi.dncscrub.com/v1.5/legalentity/Update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"LegalEntityId": 68257,
"AcctId": "YOUR_ACCOUNT_ID"
}
Call Deliverability (TrustCall)
Update Legal Entity
Update an existing legal entity for your account
PUT
/
v1.5
/
legalentity
/
Update
Update Legal Entity
Update an existing legal entity for your account. Use this endpoint to modify legal entity information such as address, contact details, or business information.
Request
Headers
Your API Key (LoginId from your DNCScrub account)
Must be
application/jsonRequest Body
The unique identifier of the legal entity to update
The registered legal name of the business entity
Set to
true to make this the default legal entity for the accountEmployer Identification Number (EIN), digits without a dash (e.g., “987654321”)
Street address of the legal entity
City of the legal entity’s address
State or province code (e.g., “NY”, “CA”)
ZIP or postal code
Two-letter country code (e.g., “US”)
Industry identifier code. See the table below for valid values.
| ID | Industry |
|---|---|
| 1 | Education |
| 2 | Transportation |
| 3 | Retail |
| 4 | Delivery/Shipping |
| 5 | Government |
| 6 | Health Care |
| 7 | Financial |
| 8 | Public Service |
| 9 | Real Estate |
| 10 | Legal |
| 11 | Restaurant/Food Services |
| 12 | Automotive |
| 13 | Religious |
| 14 | Veterinary Services |
| 15 | Trade Contractors |
| 16 | Personal Services |
| 17 | Business Services |
| 18 | Hospitality/Entertainment |
| 19 | Insurance |
| 20 | Manufacturing |
| 21 | Other Business |
| 22 | Telecommunications |
| 23 | Technology |
| 24 | Non-Profit |
| 25 | Travel |
| 26 | Utilities |
| 27 | Prison |
Primary contact phone number for the legal entity
Name of the primary contact person
Email address of the primary contact
Phone number of the primary contact person
Number of employees at the company
Estimated number of outbound calls per month
Dun & Bradstreet DUNS number
Company website URL
“Doing Business As” name, if different from legal name
Business license number
Description of the purpose of outbound calls
Description of potential negative reaction
Example Request
curl --location --request PUT \
'https://dataapi.dncscrub.com/v1.5/legalentity/Update' \
--header 'loginId: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
"LegalEntityId": 68257,
"LegalName": "Updated Company LLC",
"IsDefault": true,
"EIN": "987654321",
"StreetAddress": "456 Updated Avenue",
"City": "Dallas",
"State": "TX",
"Zip": "75201",
"CountryCode": "US",
"IndustryId": "22",
"PrimaryContactName": "Jane Smith",
"PrimaryContactEmail": "jane.smith@updatedcompany.com",
"PrimaryContactPhoneNumber": "2145551234",
"PrimaryPhoneNumber": "2145550000",
"CallsPerMonth": 25000,
"EmployeeCount": 1000,
"DunsNumber": "987654321",
"Url": "https://www.updatedcompany.com",
"Dba": "Updated Co",
"LicenceNumber": "LIC-98765",
"CallPurposeDescription": "Sales and marketing outreach",
"PotentialNegativeReaction": "Medium"
}'
const response = await fetch(
'https://dataapi.dncscrub.com/v1.5/legalentity/Update',
{
method: 'PUT',
headers: {
'Content-Type': 'application/json',
'loginId': 'YOUR_API_KEY'
},
body: JSON.stringify({
LegalEntityId: 68257,
LegalName: 'Updated Company LLC',
IsDefault: true,
EIN: '987654321',
StreetAddress: '456 Updated Avenue',
City: 'Dallas',
State: 'TX',
Zip: '75201',
CountryCode: 'US',
IndustryId: '22',
PrimaryContactName: 'Jane Smith',
PrimaryContactEmail: 'jane.smith@updatedcompany.com',
PrimaryContactPhoneNumber: '2145551234',
PrimaryPhoneNumber: '2145550000',
CallsPerMonth: 25000,
EmployeeCount: 1000,
DunsNumber: '987654321',
Url: 'https://www.updatedcompany.com',
Dba: 'Updated Co',
LicenceNumber: 'LIC-98765',
CallPurposeDescription: 'Sales and marketing outreach',
PotentialNegativeReaction: 'Medium'
})
}
);
const data = await response.json();
console.log(data);
using (var client = new HttpClient())
{
client.DefaultRequestHeaders.Add("loginId", "YOUR_API_KEY");
var requestData = new
{
LegalEntityId = 68257,
LegalName = "Updated Company LLC",
IsDefault = true,
EIN = "987654321",
StreetAddress = "456 Updated Avenue",
City = "Dallas",
State = "TX",
Zip = "75201",
CountryCode = "US",
IndustryId = "22",
PrimaryContactName = "Jane Smith",
PrimaryContactEmail = "jane.smith@updatedcompany.com",
PrimaryContactPhoneNumber = "2145551234",
PrimaryPhoneNumber = "2145550000",
CallsPerMonth = 25000,
EmployeeCount = 1000,
DunsNumber = "987654321",
Url = "https://www.updatedcompany.com",
Dba = "Updated Co",
LicenceNumber = "LIC-98765",
CallPurposeDescription = "Sales and marketing outreach",
PotentialNegativeReaction = "Medium"
};
var content = new StringContent(
JsonSerializer.Serialize(requestData),
Encoding.UTF8,
"application/json"
);
var response = await client.PutAsync(
"https://dataapi.dncscrub.com/v1.5/legalentity/Update",
content
);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
{
"LegalEntityId": 68257,
"AcctId": "YOUR_ACCOUNT_ID"
}
Response Fields
The unique identifier of the updated legal entity
The account ID the legal entity belongs to
Error Responses
| Status | Description |
|---|---|
| 400 Bad Request | Missing required field (LegalEntityId) or request body is empty |
| 401 Unauthorized | Invalid or missing API key |
| 404 Not Found | Legal entity with the specified LegalEntityId does not exist for your account |
| 500 Internal Server Error | Server error during processing |
Use the Get All Legal Entities endpoint to retrieve the
LegalEntityId values for your account’s legal entities.⌘I